
GammaLib - Feature #306

Clean up Fermi/LAT response classes

07/12/2012 10:15 AM - Knödlseder Jürgen

Status: In Progress Start date: 07/09/2012

Priority: Normal Due date:  

Assigned To:  % Done: 65%

Category:  Estimated time: 16.00 hours

Target version:    

Description

Although the Fermi/LAT response classes work, some cleanup is needed to correctly implement the CALDB usage. Although, the

response table should be generalized, maybe using a response table class that is common to GammaLib. Also, a revision of the

TODOs should be done, and code should be cleaned up where necessary.

Subtasks:

Action # 289: Extend and cleanup GLATResponseTable class In Progress

Action # 293: Make use of GCaldb class for Fermi-LAT response file access Closed

Related issues:

Related to GammaLib - Feature # 1517: Add support for Fermi/LAT Pass 8 respon... Closed 07/24/2015

History

#1 - 03/03/2016 05:17 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Target version set to 1.1.0

#2 - 06/21/2016 05:24 PM - Knödlseder Jürgen

- Target version deleted (1.1.0)
